Bug 361181 - Unable to connect to Fedora 7 server using Xnest
Unable to connect to Fedora 7 server using Xnest
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 21:45 EDT by Hugh Caley
Modified: 2008-06-16 22:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:46:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hugh Caley 2007-10-31 21:45:18 EDT
Description of problem:
I have installed xorg-x11-server-Xnest-1.3.0.0-9.fc7 on my Fedora 7
desktop, but I cannot get it to work against two other Fedora 7 boxes.
I have used gdmsetup to make sure that xdmcp and remote connections are
enabled.  I can make connections to RHEL 4 machines with no problem.



Used the following command line:

Xnest :8 -geometry 1024x768 -query hughc-virt




How reproducible:


Steps to Reproduce:
1. install Xnest on a fedora 7 machine, attempt connection to another
2. attempt connection; never get past gray screen
3.
  
Actual results:
It looks like the connection is in some kind of loop.  I never get
beyond the gray screen, but it blinks every second or so.

Expected results:

remote desktop opens on local

Additional info:
/var/log/messages on one of the target machine shows the following:

> 
> Oct 30 18:10:40 hughc-virt gdmlogin[2651]: The accessibility registry was not
found.
> Oct 30 18:10:40 hughc-virt kernel: gdmlogin[2651]: segfault at 00000010 eip
00a81b39 esp bfb5bb90 error 4
> Oct 30 18:10:42 hughc-virt gdmlogin[2665]: The accessibility registry was not
found.
> Oct 30 18:10:42 hughc-virt kernel: gdmlogin[2665]: segfault at 00000010 eip
00a81b39 esp bf94c980 error 4
> Oct 30 18:10:43 hughc-virt gdmlogin[2679]: The accessibility registry was not
found.
> Oct 30 18:10:43 hughc-virt kernel: gdmlogin[2679]: segfault at 00000010 eip
00a81b39 esp bfa802b0 error 4
> Oct 30 18:10:44 hughc-virt gdmlogin[2693]: The accessibility registry was not
found.
> Oct 30 18:10:44 hughc-virt kernel: gdmlogin[2693]: segfault at 00000010 eip
00a81b39 esp bf96f9a0 error 4
> Oct 30 18:10:46 hughc-virt gdmlogin[2707]: The accessibility registry was not
found.
> Oct 30 18:10:46 hughc-virt kernel: gdmlogin[2707]: segfault at 00000010 eip
00a81b39 esp bff27760 error 4
> Oct 30 18:10:47 hughc-virt gdmlogin[2721]: The accessibility registry was not
found.
> Oct 30 18:10:47 hughc-virt kernel: gdmlogin[2721]: segfault at 00000010 eip
00a81b39 esp bfa64290 error 4
> Oct 30 18:10:48 hughc-virt gdmlogin[2735]: The accessibility registry was not
found.
> Oct 30 18:10:48 hughc-virt kernel: gdmlogin[2735]: segfault at 00000010 eip
00a81b39 esp bf816850 error 4
Version-Release number of selected component (if applicable):
Comment 1 Hugh Caley 2007-11-01 16:13:05 EDT
Turning off "Accessibility" in gdmsetup allows login to succeed.
Comment 2 Bug Zapper 2008-05-14 10:56:09 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:46:15 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.